mod.rs 24 lignes · 1104 octets
//! Federation business-logic services.

/// Local actor RSA key generation and encrypted storage (RFC 0005).
pub mod actor_key_service;
/// AP-native authentication flow service (RFC 0006).
pub mod fediverse_auth_service;
/// Cross-instance team-membership invitations (RFC 0009).
pub mod fediverse_invite_service;
/// Outbound ActivityPub delivery queue + worker (RFC 0011).
pub mod fediverse_outbound_service;
/// Fediverse lifecycle signal handlers (RFC 0010).
pub mod fediverse_signal_service;
/// Federation trust model (RFC 0004).
pub mod fediverse_trust_service;
/// Remote ActivityPub identity store (RFC 0003).
pub mod remote_identity_service;
/// PAT issuance / verification / revocation for remote identities (RFC 0030).
pub mod remote_personal_access_token_service;
/// Sharing of generic application resources with remote identities (RFC 0029).
pub mod remote_resource_share_service;
/// SeaORM-backed
/// [`RemoteIdentityRevocationChecker`](rustwarden_core::middleware::revocation::RemoteIdentityRevocationChecker)
/// implementation injected at federation mount time.
pub mod revocation;